package org.itscool.weber.mapping;



public class ValidationMapping{
	private String paramName;
    private String type;
    private String msgkey;
    private String msgbody;
    private double min;
    private double max;
    private int length;
    
    public ValidationMapping(){
    	super();
    }
    
    public ValidationMapping(String type, String msgkey, String msgbody){
    	this.type = type;
    	this.msgkey = msgkey;
    	this.msgbody = msgbody;
    }
    
	public String getMsgbody() {
		return msgbody;
	}
	public void setMsgbody(String msgbody) {
		this.msgbody = msgbody;
	}
	public String getMsgkey() {
		return msgkey;
	}
	public void setMsgkey(String msgkey) {
		this.msgkey = msgkey;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public double getMax() {
		return max;
	}

	public void setMax(double max) {
		this.max = max;
	}

	public double getMin() {
		return min;
	}

	public void setMin(double min) {
		this.min = min;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
}
